This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 169748 - adding hard drive /dev/hdd makes cdrecorder /dev/hdc vanish
adding hard drive /dev/hdd makes cdrecorder /dev/hdc vanish
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-02 18:35 EDT by Brian McMinn
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 21:39:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian McMinn 2005-10-02 18:35:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
I loaded FC4 onto a system with two hard disks (A and B) and one DVD/CDRW combo unit (/dev/hdc).  Later, I added a hard disk to the second IDE chain.  I left the CD drive as the master and made the new hard disk the slave on the second ide chain.   My BIOS correctly identified everything on the IDE controller but FC4 did not detect the DVD/CD device.  I have played with the slave/master/cable-select jumpers on both drives.  I have replaced the IDE cable.  In all cases, FC4 does not detect the DVD/CD device when the hard disk is present.  I removed the hard disk from the system and FC4 again recognized the DVD/CD device, created /dev/hdc and /media/cdrecorder.  It also put an entry for /media/cdrecorder into /etc/fstab.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. re-attach hard disk as slave on 2nd IDE
2. boot system
3. fail to find /dev/hdc, fail to find /media/cdrecorder
  

Actual Results:  CDROM is unusable

Expected Results:  I expected that my DVD/CD device would continue to work in the same way it used to work.

Additional info:

CD device is _NEC DVD_RW ND-3540A

----------VIA BusMastering IDE Configuration----------------
Driver Version:                     3.38
South Bridge:                       VIA vt8237
Revision:                           ISA 0x0 IDE 0x6
Comment 1 Nalin Dahyabhai 2005-10-03 12:05:42 EDT
MAKEDEV only creates and removes device nodes, and at this point it's really
only there for situations that the kernel/udev/haldaemon trio don't handle yet.

For reference purposes, can you post the versions of the kernel, udev, and hal
packages which you have installed?  I'm going to reassign this bug to udev, but
the exact versions of the other participants is probably going to be useful
information...
Comment 2 Harald Hoyer 2005-10-05 03:38:10 EDT
What's the output of:
$ ls -l /proc/ide/

in case of the attached harddisk?
Comment 3 Brian McMinn 2005-10-08 23:34:49 EDT
Sorry for the delay - I had to have the system working so I plugged in
an old IDE card and just moved the hard disk to it.  I had to wait for
an idle time to bring the system down to reconfigure it to the failing
configuration.

kernel-2.6.11-1.1369_FC4
udev-058-1
hal-0.5.2-2

-r--r--r--  1 root root 0 Oct  8 22:15 drivers
lrwxrwxrwx  1 root root 8 Oct  8 22:15 hda -> ide0/hda
lrwxrwxrwx  1 root root 8 Oct  8 22:15 hdb -> ide0/hdb
lrwxrwxrwx  1 root root 8 Oct  8 22:15 hdd -> ide1/hdd
dr-xr-xr-x  4 root root 0 Oct  8 22:15 ide0
dr-xr-xr-x  3 root root 0 Oct  8 22:15 ide1
-r--r--r--  1 root root 0 Oct  8 22:15 via


CD was expected at hdc but it's not there.

/var/log/messages only mentioned hdc once with an interesting error nearby:


Oct  8 22:07:30 meow kernel: RAMDISK driver initialized: 16 RAM disks of 16384K
size 1024 blocksize
Oct  8 22:07:30 meow kernel: Uniform Multi-Platform E-IDE driver Revision:
7.00alpha2
Oct  8 22:07:30 meow kernel: ide: Assuming 33MHz system bus speed for PIO modes;
override with idebus=xx
Oct  8 22:07:30 meow kernel: VP_IDE: IDE controller at PCI slot 0000:00:0f.1
Oct  8 22:07:30 meow kernel: PCI: Found IRQ 10 for device 0000:00:0f.1
Oct  8 22:07:30 meow kernel: PCI: Sharing IRQ 10 with 0000:00:10.0
Oct  8 22:07:30 meow kernel: PCI: Sharing IRQ 10 with 0000:00:10.1
Oct  8 22:07:30 meow kernel: VP_IDE: chipset revision 6
Oct  8 22:07:30 meow kernel: VP_IDE: not 100% native mode: will probe irqs later
Oct  8 22:07:30 meow kernel: VP_IDE: VIA vt8237 (rev 00) IDE UDMA133 controller
on pci0000:00:0f.1
Oct  8 22:07:30 meow kernel:     ide0: BM-DMA at 0xe800-0xe807, BIOS settings:
hda:DMA, hdb:DMA
Oct  8 22:07:30 meow kernel:     ide1: BM-DMA at 0xe808-0xe80f, BIOS settings:
hdc:DMA, hdd:DMA
Oct  8 22:07:30 meow kernel: hda: ST3160023A, ATA DISK drive
Oct  8 22:07:30 meow kernel: hdb: ST3250823A, ATA DISK drive
Oct  8 22:07:30 meow kernel: ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
Oct  8 22:07:30 meow kernel: BUG: soft lockup detected on CPU#0!
Oct  8 22:07:30 meow kernel:
Oct  8 22:07:30 meow kernel: Pid: 1, comm:              swapper
Oct  8 22:07:30 meow kernel: EIP: 0060:[<c0110ee3>] CPU: 0
Oct  8 22:07:30 meow kernel: EIP is at delay_tsc+0xb/0x13
Oct  8 22:07:30 meow kernel:  EFLAGS: 00000287    Not tainted  (2.6.11-1.1369_FC4)
Oct  8 22:07:30 meow kernel: EAX: 770160ad EBX: 00210011 ECX: 76f909c0 EDX: 00000011
Oct  8 22:07:30 meow kernel: ESI: c04980ac EDI: 000088b8 EBP: c04980ac DS: 007b
ES: 007b
Oct  8 22:07:30 meow kernel: CR0: 8005003b CR2: 0809c880 CR3: 01a8c000 CR4: 000006d0

Comment 4 Harald Hoyer 2005-10-10 05:39:28 EDT
reassigning to kernel
Comment 5 Dave Jones 2005-11-10 16:59:20 EST
Mass update to all FC4 bugs:

An update has been released (2.6.14-1.1637_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.

Comment 6 Dave Jones 2006-02-03 02:32:08 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 7 John Thacker 2006-05-04 21:39:19 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.